SUBDIRS= kcmkuick

INCLUDES    = $(all_includes)
METASOURCES = AUTO

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = libkuickplugin.la

# This is all standard.  Remove the LIB_TDEHTML reference if you are not
# using the TDEHTML Part
libkuickplugin_la_SOURCES = kuick_plugin.cpp kdirmenu.cpp kmetamenu.cpp kimcontactmenu.cpp
libkuickplugin_la_LIBADD = $(LIB_TDEABC) -ltdeimproxy -lkonq
libkuickplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir   = $(kde_servicesdir)
plugins_DATA = kuick_plugin.desktop

appsdir = $(kde_appsdir)/.hidden
apps_DATA = kuickplugin.desktop 

# Install the .rc file in the Part's directory (in this case, the part
# is TDEHTMLPart)

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/kuick_plugin.pot
noinst_HEADERS =  kimcontactmenu.h
